[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IFPObserved.FPODetachObserver

Remove an observer from the list of observers.

## Declaration

Source position: classesh.inc line 171

`procedure IFPObserved.FPODetachObserver(`
`AObserver: TObject`
`);`

## Description

FPODetachObserver removes the AObserver object from the list of observers. If it was not in the list, then this is silently accepted. Once removed, it will no longer receive notifications when FPOObservedChanged is called.

If the object was added more than once using FPOAttachObserver, then it depends on the implementor of the interface whether or FPODetachObserver must be called an equal number of times.

## See also

IFPObserver |  | Interface for an object to observe other objects.
FPOObservedChanged |  | Entry point for change notifications
FPONotifyObservers
FPOAttachObserver

Documentation generated on: Feb 26 2014